Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.substitution
Class MultiVariableExpander

    java.lang.Object
      org.apache.commons.digester3.substitution.MultiVariableExpander

All Implemented Interfaces:
  VariableExpander

    public class MultiVariableExpander

extends Object
implements VariableExpander

Expands variable references from multiple sources.

Since:
  1.6

Constructor Summary
`MultiVariableExpander()`

Method Summary
`void` | `addSource(String marker, Map<String,Object> source)` Add a new variables source, identified by the input marker
`String` | `expand(String param)` Return the input string with any variables replaced by their corresponding value.
`String` | `expand(String str, String marker, Map<String,Object> source)` Replace any occurrences within the string of the form "marker{key}" with the value from source[key].

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiVariableExpander

    public MultiVariableExpander()

Method Detail

### addSource

    public void addSource(String marker,
                          Map<String,Object> source)

  Add a new variables source, identified by the input marker

  Parameters:
    `marker` - The input variables marker
    `source` - The variables source

### expand

    public String expand(String param)

  Return the input string with any variables replaced by their corresponding value. If there are no variables in the string, then the input parameter is returned unaltered.

  Specified by:
    `expand` in interface `VariableExpander`
  Parameters:
    `param` - the string containing variables to be replaced.
  Returns:
    the input string with any variables replaced by their corresponding value.

### expand

    public String expand(String str,
                         String marker,
                         Map<String,Object> source)

  Replace any occurrences within the string of the form "marker{key}" with the value from source[key].

  Commonly, the variable marker is "$", in which case variables are indicated by ${key} in the string.

  Returns the string after performing all substitutions.

  If no substitutions were made, the input string object is returned (not a copy).

  Parameters:
    `str` - The input string containing placeholders
    `marker` - The input variables marker
    `source` - The variables source
  Returns:
    The input string where variables have been expanded by replacing values found in source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.